Subject: Re: bug#68685: [BUG] default From: when composing new messages ignores user-mail-address (part1) and uses message-user-fqdn (part2)!

From: [email-masked]
Date: Wed, 24 Jan 2024 14:09:54 +0000

> The 'string-match' call checks that there is at least one dot in the 
> mail host part.  Otherwise, message will build a user mail address 
> using 'message-user-fqdn'.

Thanks for looking into this; before I can assess what is the best way 
to solve this unexpected behaviour and how to modify the documentation, 
I would also need to know why instead the procedure which you explained 
and I am quoting as the first line of this email does not intervene when 
the message is sent after having been queued.

As for whether to modify the docs rather than the behaviour, I'm 
inclined to think that it's a possibility to allow for this automatic 
building of valid email address as long as it's documented and it 
doesn't happen while sending, but before the user can review the message 
prior to sending the email.  Which brings us back to the question in the 
paragraph above...